﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace iSteam.Sdk.Data
{
    public class iSteamEventArgs : AsyncCompletedEventArgs
    {
        public iSteamEventArgs(Exception error, bool cancelled, object userState) : base(error, cancelled, userState)
        {
        }
    }

    public class iSteamCoreEventArgs : iSteamEventArgs
    {
        public iSteamCoreEventArgs(Exception error, bool cancelled, object userState) : base(error, cancelled, userState)
        {
        }

        public LoginToken LoginToken { get; set; }
        public AccessToken AccessToken { get; set; }
    }

    public class SteamNotificationMessageEventArgs : iSteamCoreEventArgs
    {
        public SteamNotificationMessageEventArgs(Exception error, bool cancelled, object userState) : base(error, cancelled, userState)
        {
        }

        public int UserSteamId { get; set; }
    }
}
